#
# spec file for package polkit-qt-1
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define debug_package_requires libpolkit-qt-1-0 = %{version}-%{release}

Name:           polkit-qt-1
BuildRequires:  automoc4 cmake kde4-filesystem libqt4-devel pkg-config
%if %suse_version > 1110 
BuildRequires:  polkit-devel
%else
BuildRequires:  PolicyKit-devel
%endif
License:        LGPLv2.1+
Group:          Development/Libraries/KDE
Summary:        PolicyKit Library Qt Bindings
Version:        0.99.1
Release:        6.7.1
Url:            http://api.kde.org/kdesupport-api/kdesupport-apidocs/polkit-qt/html/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/
Source0:        %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
Patch1:         d3c337da.patch

%description
Polkit-qt-1 aims to make it easy for Qt developers to take advantage of
PolicyKit API. It is a convenience wrapper around QAction and
QAbstractButton that lets you integrate those two components easily
with PolicyKit.



Authors:
--------
    Daniel Nicoletti <dantti85-pk@yahoo.com.br>
    Dario Freddi <drf54321@gmail.com>

%package -n libpolkit-qt-1-1
License:        LGPLv2.1+
Summary:        PolicyKit Library Qt Bindings
Group:          Development/Libraries/KDE
%if %suse_version > 1110
Provides:       libpolkit-qt0 = 0.9.3
Obsoletes:      libpolkit-qt0 <= 0.9.3
%endif

%description -n libpolkit-qt-1-1
Polkit-qt aims to make it easy for Qt developers to take advantage of
PolicyKit API. It is a convenience wrapper around QAction and
QAbstractButton that lets you integrate those two components easily
with PolicyKit.



Authors:
--------
    Daniel Nicoletti <dantti85-pk@yahoo.com.br>
    Dario Freddi <drf54321@gmail.com>

%package -n libpolkit-qt-1-devel
License:        LGPLv2.1+
Summary:        PolicyKit Library Qt Bindings
Group:          Development/Libraries/KDE
Provides:       libpolkit-qt-devel = 0.9.3
Obsoletes:      libpolkit-qt-devel <= 0.9.3
Requires:       libpolkit-qt-1-1 = %version PolicyKit-devel

%description -n libpolkit-qt-1-devel
Polkit-qt aims to make it easy for Qt developers to take advantage of
PolicyKit API. It is a convenience wrapper around QAction and
QAbstractButton that lets you integrate those two components easily
with PolicyKit.



Authors:
--------
    Daniel Nicoletti <dantti85-pk@yahoo.com.br>
    Dario Freddi <drf54321@gmail.com>

%prep
%setup
%patch1 -p1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall

%post -n libpolkit-qt-1-1 -p /sbin/ldconfig

%postun -n libpolkit-qt-1-1 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libpolkit-qt-1-devel
%defattr(-,root,root)
%doc AUTHORS README
/usr/include/polkit-qt-1/
%_libdir/pkgconfig/polkit-qt*
%_libdir/libpolkit-qt-gui-1.so
%_libdir/libpolkit-qt-core-1.so
%_libdir/libpolkit-qt-agent-1.so
%_libdir/cmake/PolkitQt-1/

%files -n libpolkit-qt-1-1
%defattr(-,root,root)
%_libdir/libpolkit-qt-gui-1.so.*
%_libdir/libpolkit-qt-core-1.so.*
%_libdir/libpolkit-qt-agent-1.so.*

%changelog
* Wed Dec 21 2011 idonmez@suse.com
- Add git commit d3c337da to fix kde#258916, bnc#736158
* Sat Dec 18 2010 tittiatcoke@gmail.com
- Change the specfile to build according openSUSE standards
* Fri Dec 17 2010 tittiatcoke@gmail.com
- Enable build for 11.2 and 11.3 in compatibility mode. 0.99.1 has
  became a requirement for KDE 4.6
* Thu Dec  9 2010 tittiatcoke@gmail.com
- update to 0.99.1
  - Introduction of a compatibility mode for older PolicyKit version
* Tue Oct 26 2010 tittiatcoke@gmail.com
- update to 0.98.1
* Sat Jul 17 2010 dmueller@suse.de
- fix pedantic warnings
* Wed Jul 14 2010 dmueller@suse.de
- update to polkit-qt-1 0.96.1:
  * various code cleaning changes (foreach->Q_FOREACH)
  * merged upstreamed patch
* Thu Jul  8 2010 dmueller@suse.de
- update buildrequires
* Wed Feb 24 2010 llunak@novell.com
- fix build error due to missing return statement
* Sat Jan  9 2010 dmueller@suse.de
- fix baselibs.conf
* Sat Jan  2 2010 dmueller@suse.de
- add missing provides/obsoletes due to the package rename
* Wed Dec 23 2009 wstephenson@novell.com
- package rename polkit-qt to polkit-qt-1
- update to 0.95.1:
  * Initial port to PolicyKit-1
* Mon Sep 21 2009 ro@suse.de
- add baselibs.conf
* Tue May 19 2009 dmueller@suse.de
- fix debug package requires
* Sat May 16 2009 coolo@suse.de
- fix requires of devel package
* Thu May 14 2009 dmueller@suse.de
- spec file cleanups
* Thu Apr 30 2009 Matt Williams <matt@milliams.com>
- Initial build of polkit-qt
